<div class="container-fluid">
  <div class="row">
    <navigation></navigation>

    <div class="offset-2 offset-lg-3 col-10 col-lg-9 col-xl-6 container-feed">
      <div class="container-fluid container-feed-scroll">
        <div class="row titre-page">
          <p>Accueil</p>
        </div>
        <div class="row create-post">
          <form [formGroup]="sendMessageForm" (ngSubmit)="postPost()">
            <div class="row postbutton">
              <div class="col-3 col-md-2 col-profilpic">
                <img alt="Image" draggable="true" src="{{imgUser}}" class="profil-pict">
              </div>
              <div class="col-9 col-md-10">
                <textarea class="writePost" type="text" placeholder="kékeketuveuxecrire ?"
                  formControlName="content"></textarea>
                <img class="post-pict" src="{{imgURL}}" />

              </div>
            </div>
            <div class="row postbutton">
              <div class="col-3"></div>
              <div class="col-4">
                <div class="row">
                  <div class="image-upload col-4 colIcon">
                    <span class="material-icons icon-img" (click)="file.click()">wallpaper</span>

                    <input #file id="file-input" accept='image/*' type="file" (change)="onImageSelect(file.files, $event)" formControlName="link_image"/>
                  </div>

                  <div class="col-4 colIcon">
                    <span class="material-icons disable">person_outline</span>
                  </div>
                  <div class="col-4 colIcon">
                    <span class="material-icons disable">mood</span>

                  </div>
                </div>

              </div>

              <div class="col-4 sendPost">
                <button type="submit">Poster</button>
              </div>
            </div>
          </form>
        </div>
        <div class="row feed">
          <div class="container-post">
            <div class="post row" *ngFor="let post of posts">
              <!-- <div class="row rowContentPost" (click)="onClickPost(post.idpost)"> -->
              <div class="row rowContentPost">
                <div class="col-3 col-md-2 col-profilpic" (click)="onClickPost(post.id)">
                  <img alt="Image" draggable="true" src="{{post.link_image_profile}}" class="profil-pict"
                    (click)="toProfil('profil/' + post.username_user)">
                </div>
                <div class="col-9 col-md-10 ">
                  <div class="row" *ngIf="post.rtPar != null">
                    <p class="repostPar">Repost par <strong>@{{post.rtPar}}</strong></p>
                </div>
                  <div class="row usernamePost" (click)="onClickPost(post.id)">
                    <p (click)="toProfil('profil/' + post.username_user)">@{{post.username_user}} <span class="datePost">· {{post.updated}}</span></p>
                  </div>
                  <div class="row" (click)="onClickPost(post.id)">
                    <p>{{post.content}}</p>
                  </div>


                  <div *ngIf="post.link_image != null" class="row">
                    <img alt="Image" (click)="displayImage(post.link_image)" draggable="true" src="{{post.link_image}}"
                      class="post-pict">
                  </div>

                </div>
              </div>

              <div class="row rowIconPost">
                <div class="col-4 commentNumber">
                  <div class="row center">
                    <div class="col-6 colNumber">
                      <button type="button" (click)="saveIdPost(post)" class="btn btn-primary commentNumber"
                        data-toggle="modal" data-target="#myModal"><span
                          class="col-3 material-icons iconChat">chat_bubble_outline </span></button>
                        <span>{{post.nb_comment}}</span>
                    </div>
                  </div>
                </div>
                <div class="col-4 commentNumber">
                  <div class="row center">
                    <div class="colNumber">
                      <button type="button" (click)="repost(post)" class="btn btn-primary commentNumber"
                        ><span class=" material-icons">repeat</span></button>
                      <span>{{post.nb_retweet}}</span>
                    </div>
                  </div>
                </div>
                <div class="col-4 commentNumber">
                  <div class="row center">
                    <div class="col-6 colNumber">
                      <button type="button" (click)="like(post)" class="btn btn-primary commentNumber"
                        ><span
                          class=" material-icons" *ngIf="post.isLike == false">favorite_border</span><span
                          class=" material-icons" *ngIf="post.isLike == true">favorite</span></button>
                          <span>{{post.nb_like}}</span>
                    </div>
                  </div>
                </div>
              </div>
            </div>

          </div>
        </div>

      </div>

    </div>
    <div class=" colEnding col-0 col-xl-3"></div>
  </div>
  <div id="modalImage" class="modalImage" (click)="closeImage()">
    <div class="containImage">
      <button class="closeImage" (click)="closeImage()"><span class="material-icons">
          highlight_off
        </span></button>
      <img id="imageToDisplay" class="imageView" src="{{imageToDisplay}}">
    </div>
  </div>





  <createComment [commentaireToComment]="commentaireToComment"></createComment>